Method: customBiddingAlgorithms.uploadScript

  • This method creates a custom bidding script reference object for a script file, providing a resource path for uploading the script and should be included when creating a new custom bidding script object.

  • The HTTP request uses a GET method to a specific URL that includes the customBiddingAlgorithmId as a path parameter.

  • The request requires query parameters to identify the owner of the parent custom bidding algorithm, either a partner or an advertiser, using partnerId or advertiserId.

  • The request body must be empty, and a successful response will contain an instance of CustomBiddingScriptRef.

  • This method requires authorization with the https://www.googleapis.com/auth/display-video OAuth scope.

Creates a custom bidding script reference object for a script file.

The resulting reference object provides a resource path to which the script file should be uploaded. This reference object should be included in when creating a new custom bidding script object.

HTTP request

GET https://displayvideo.googleapis.com/v4/customBiddingAlgorithms/{customBiddingAlgorithmId}:uploadScript

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
customBiddingAlgorithmId

string (int64 format)

Required. The ID of the custom bidding algorithm owns the script.

Query parameters

Parameters
Required. Identifies the DV360 entity that owns the parent custom bidding algorithm. It can be either a partner or an advertiser. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
partnerId

string (int64 format)

The ID of the partner that owns the parent custom bidding algorithm.

Only this partner will have write access to this custom bidding script.

advertiserId

string (int64 format)

The ID of the advertiser that owns the parent custom bidding algorithm.

End of mutually exclusive fields.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of CustomBiddingScriptRef.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.